org.apache.hadoop.mapred.nativetask.util

## Interface NativeTaskOutput

- All Known Implementing Classes:
    LocalJobOutputFiles, NativeTaskOutputFiles

      @InterfaceAudience.Private
      public interface NativeTaskOutput

  base class of output files manager.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.fs.Path` | `getInputFile(int mapId)` Return a local reduce input file created earlier
    `org.apache.hadoop.fs.Path` | `getInputFileForWrite(org.apache.hadoop.mapred.TaskID mapId, long size, org.apache.hadoop.conf.Configuration conf)` Create a local reduce input file name.
    `org.apache.hadoop.fs.Path` | `getOutputFile()` Return the path to local map output file created earlier
    `org.apache.hadoop.fs.Path` | `getOutputFileForWrite(long size)` Create a local map output file name.
    `org.apache.hadoop.fs.Path` | `getOutputIndexFile()` Return the path to a local map output index file created earlier
    `org.apache.hadoop.fs.Path` | `getOutputIndexFileForWrite(long size)` Create a local map output index file name.
    `String` | `getOutputName(int partition)`
    `org.apache.hadoop.fs.Path` | `getSpillFile(int spillNumber)` Return a local map spill file created earlier.
    `org.apache.hadoop.fs.Path` | `getSpillFileForWrite(int spillNumber, long size)` Create a local map spill file name.
    `org.apache.hadoop.fs.Path` | `getSpillIndexFile(int spillNumber)` Return a local map spill index file created earlier
    `org.apache.hadoop.fs.Path` | `getSpillIndexFileForWrite(int spillNumber, long size)` Create a local map spill index file name.
    `void` | `removeAll()` Removes all of the files related to a task.

- - ### Method Detail

    - #### getOutputFile

          org.apache.hadoop.fs.Path getOutputFile()
                                           throws IOException

      Return the path to local map output file created earlier
      Throws:
        `IOException`

    - #### getOutputFileForWrite

          org.apache.hadoop.fs.Path getOutputFileForWrite(long size)
                                                   throws IOException

      Create a local map output file name.
      Parameters:
        `size` - the size of the file
      Throws:
        `IOException`

    - #### getOutputIndexFile

          org.apache.hadoop.fs.Path getOutputIndexFile()
                                                throws IOException

      Return the path to a local map output index file created earlier
      Throws:
        `IOException`

    - #### getOutputIndexFileForWrite

          org.apache.hadoop.fs.Path getOutputIndexFileForWrite(long size)
                                                        throws IOException

      Create a local map output index file name.
      Parameters:
        `size` - the size of the file
      Throws:
        `IOException`

    - #### getSpillFile

          org.apache.hadoop.fs.Path getSpillFile(int spillNumber)
                                          throws IOException

      Return a local map spill file created earlier.
      Parameters:
        `spillNumber` - the number
      Throws:
        `IOException`

    - #### getSpillFileForWrite

          org.apache.hadoop.fs.Path getSpillFileForWrite(int spillNumber,
                                                         long size)
                                                  throws IOException

      Create a local map spill file name.
      Parameters:
        `spillNumber` - the number
        `size` - the size of the file
      Throws:
        `IOException`

    - #### getSpillIndexFile

          org.apache.hadoop.fs.Path getSpillIndexFile(int spillNumber)
                                               throws IOException

      Return a local map spill index file created earlier
      Parameters:
        `spillNumber` - the number
      Throws:
        `IOException`

    - #### getSpillIndexFileForWrite

          org.apache.hadoop.fs.Path getSpillIndexFileForWrite(int spillNumber,
                                                              long size)
                                                       throws IOException

      Create a local map spill index file name. r* @param spillNumber the number
      Parameters:
        `size` - the size of the file
      Throws:
        `IOException`

    - #### getInputFile

          org.apache.hadoop.fs.Path getInputFile(int mapId)
                                          throws IOException

      Return a local reduce input file created earlier
      Parameters:
        `mapId` - a map task id
      Throws:
        `IOException`

    - #### getInputFileForWrite

          org.apache.hadoop.fs.Path getInputFileForWrite(org.apache.hadoop.mapred.TaskID mapId,
                                                         long size,
                                                         org.apache.hadoop.conf.Configuration conf)
                                                  throws IOException

      Create a local reduce input file name.
      Parameters:
        `mapId` - a map task id
        `size` - the size of the file
      Throws:
        `IOException`

    - #### removeAll

          void removeAll()
                  throws IOException

      Removes all of the files related to a task.
      Throws:
        `IOException`

    - #### getOutputName

          String getOutputName(int partition)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.